> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# createUnderwritingInformationRequests

> Create one or more underwriting information requests.

`Mutation`

## Arguments

<ParamField path="input" type="CreateUnderwritingInformationRequestsInput!" required>
  <Expandable title="child attributes">
    <ParamField path="applicationId" type="UUID!" required>
      The unique identifier for the application
    </ParamField>

    <ParamField path="requests" type="[CreateUnderwritingInformationRequestInput!]!" required>
      List of information requests to create

      <Expandable title="child attributes">
        <ParamField path="description" type="String">
          Detailed description of the information being requested. Required for QUESTION and OTHER types.
        </ParamField>

        <ParamField path="title" type="String">
          Short title describing the information being requested. Required for QUESTION and OTHER types.
        </ParamField>

        <ParamField path="type" type="UnderwritingInformationRequestType!" required>
          The type of information request.

          See [UnderwritingInformationRequestType](/underwriting/reference/graphql/types/underwriting-information-request-type)
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Return type

`CreateUnderwritingInformationRequestsPayload!`

<ResponseField name="errors" type="[CreateUnderwritingInformationRequestsError!]">
  Errors that occurred during the mutation, if any. Null or empty indicates success.

  <Expandable title="Possible types">
    <Expandable title="BadRequestError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/underwriting/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>

    <Expandable title="ForbiddenError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/underwriting/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>

    <Expandable title="InvalidActorError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/underwriting/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>

    <Expandable title="InvalidOrganizationError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/underwriting/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>

    <Expandable title="NotFoundError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/underwriting/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />

      <ResponseField name="resourceId" type="String" />

      <ResponseField name="resourceName" type="String" />
    </Expandable>

    <Expandable title="ServerError">
      <ResponseField name="advice" type="String!" required />

      <ResponseField name="code" type="CommonErrorCode!" required>
        See [CommonErrorCode](/underwriting/reference/graphql/types/common-error-code)
      </ResponseField>

      <ResponseField name="message" type="String!" required />
    </Expandable>
  </Expandable>
</ResponseField>

<ResponseField name="underwritingInformationRequests" type="[UnderwritingInformationRequest!]">
  The list of underwriting information requests that were created or fulfilled

  <Expandable title="child attributes">
    <ResponseField name="applicationId" type="UUID!" required>
      The unique identifier for the application this information request belongs to.
    </ResponseField>

    <ResponseField name="createdBy" type="Actor">
      The actor (user or app) who created this information request

      See [Actor](/underwriting/reference/graphql/types/actor)
    </ResponseField>

    <ResponseField name="createdDateTime" type="DateTime!" required>
      The date and time in UTC when this information request was created.
    </ResponseField>

    <ResponseField name="description" type="String!" required>
      Detailed description of the information being requested.
    </ResponseField>

    <ResponseField name="fulfilledBy" type="Actor">
      The actor (user or app) who fulfilled this information request

      See [Actor](/underwriting/reference/graphql/types/actor)
    </ResponseField>

    <ResponseField name="fulfilledDateTime" type="DateTime">
      The date and time in UTC when this information request was fulfilled.
    </ResponseField>

    <ResponseField name="fulfillmentAttachmentIds" type="[UUID!]!" required>
      Attachment IDs if the response includes files.
    </ResponseField>

    <ResponseField name="fulfillmentResponse" type="String">
      Free text response when the request is fulfilled.
    </ResponseField>

    <ResponseField name="fulfillmentTypes" type="[UnderwritingInformationRequestFulfillmentType!]!" required>
      The supported fulfillment types for this request (e.g. DOCUMENT, TEXT).

      See [UnderwritingInformationRequestFulfillmentType](/underwriting/reference/graphql/types/underwriting-information-request-fulfillment-type)
    </ResponseField>

    <ResponseField name="id" type="UUID!" required>
      The unique identifier for the information request.
    </ResponseField>

    <ResponseField name="status" type="UnderwritingInformationRequestStatus!" required>
      The current status of the information request.

      See [UnderwritingInformationRequestStatus](/underwriting/reference/graphql/types/underwriting-information-request-status)
    </ResponseField>

    <ResponseField name="title" type="String!" required>
      Short title describing the information being requested.
    </ResponseField>

    <ResponseField name="type" type="UnderwritingInformationRequestType!" required>
      The type of information request.

      See [UnderwritingInformationRequestType](/underwriting/reference/graphql/types/underwriting-information-request-type)
    </ResponseField>

    <ResponseField name="updatedDateTime" type="DateTime!" required>
      The date and time in UTC when this information request was last updated.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  mutation CreateUnderwritingInformationRequests($input: CreateUnderwritingInformationRequestsInput!) {
    createUnderwritingInformationRequests(input: $input) {
      errors {
        ... on BadRequestError {
          advice
          code
          message
        }
        ... on ForbiddenError {
          advice
          code
          message
        }
        ... on InvalidActorError {
          advice
          code
          message
        }
        ... on InvalidOrganizationError {
          advice
          code
          message
        }
        ... on NotFoundError {
          advice
          code
          message
          resourceId
          resourceName
        }
        ... on ServerError {
          advice
          code
          message
        }
      }
      underwritingInformationRequests {
        applicationId
        createdBy {
          name
          type
        }
        createdDateTime
        description
        fulfilledBy {
          name
          type
        }
        fulfilledDateTime
        fulfillmentAttachmentIds
        fulfillmentResponse
        fulfillmentTypes
        id
        status
        title
        type
        updatedDateTime
      }
    }
  }
  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "requests": [
        {
          "type": "ARTICLES_OF_INCORPORATION"
        }
      ]
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "mutation CreateUnderwritingInformationRequests($input: CreateUnderwritingInformationRequestsInput!) {\n  createUnderwritingInformationRequests(input: $input) {\n    errors {\n      ... on BadRequestError {\n        advice\n        code\n        message\n      }\n      ... on ForbiddenError {\n        advice\n        code\n        message\n      }\n      ... on InvalidActorError {\n        advice\n        code\n        message\n      }\n      ... on InvalidOrganizationError {\n        advice\n        code\n        message\n      }\n      ... on NotFoundError {\n        advice\n        code\n        message\n        resourceId\n        resourceName\n      }\n      ... on ServerError {\n        advice\n        code\n        message\n      }\n    }\n    underwritingInformationRequests {\n      applicationId\n      createdBy {\n        name\n        type\n      }\n      createdDateTime\n      description\n      fulfilledBy {\n        name\n        type\n      }\n      fulfilledDateTime\n      fulfillmentAttachmentIds\n      fulfillmentResponse\n      fulfillmentTypes\n      id\n      status\n      title\n      type\n      updatedDateTime\n    }\n  }\n}",
    "variables": {
      "input": {
        "applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "requests": [
          {
            "type": "ARTICLES_OF_INCORPORATION"
          }
        ]
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "createUnderwritingInformationRequests": {
        "errors": [
          {
            "__typename": "BadRequestError",
            "advice": "example",
            "code": "BAD_REQUEST",
            "message": "example"
          }
        ],
        "underwritingInformationRequests": [
          {
            "applicationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
            "createdBy": {
              "name": "Ben Torres",
              "type": "APP"
            },
            "createdDateTime": "2026-01-15T14:30:00Z",
            "description": "example",
            "fulfilledBy": {
              "name": "Ben Torres",
              "type": "APP"
            },
            "fulfilledDateTime": "2026-01-15T14:30:00Z",
            "fulfillmentAttachmentIds": [
              "c9a1e2d3-4b5f-6789-0abc-def123456789"
            ],
            "fulfillmentResponse": "example",
            "fulfillmentTypes": [
              "DOCUMENT"
            ],
            "id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
            "status": "FULFILLED",
            "title": "example",
            "type": "ARTICLES_OF_INCORPORATION",
            "updatedDateTime": "2026-01-15T14:30:00Z"
          }
        ]
      }
    }
  }
  ```
</ResponseExample>
